# Installation

```console
$ git clone git@git.ivnglkv.me:root/pssecret-server.git
$ cd pssecret-server
$ poetry install --with=dev
```

# Codestyle

Codestyle is enforced with Black, and additional checks are done with the help of pre-commit-hooks,
Flake8 and isort. Prior to making any commits, install `pre-commit` tool and install hooks:

```console
$ pipx install pre-commit
$ pre-commit install
```

This way you will always be sure that new code follows project guidelines.

This project is using trunk-based branching strategy with the `main` as trunk branch.
